Plugin Name: Tickera
Author: Tickera.com=====

= 3.5.6.4 09/12/2025 =
* New "tc_bypass_hide_event_after_expiration" hook to bypass the Event's "hide event after expiration" logic. Argument(s): Boolean (Default: false), Event ID
* Fixed amount (per order) created in the previous versions of Tickera stopped working unless re-saved. [Fixed]
* Clearing out PHP Notice: map_meta_cap was called incorrectly.

= 3.5.6.3 25/11/2025 =
* Applied the "Hide event after expiration" option to individual event pages, ensuring expired events are hidden across both listings and single event views.
* Unable to bulk trash Woocommerce > Orders while HPOS is active. [Fixed]
* Security patch to fix a Broken Access Control Vulnerability on logged-in users.
* Additional updates for Woocommerce High-Performance Order Storage Integration.

= 3.5.6.2 27/10/2025 =
* PHP fatal error when one or both of the administrator and staff roles do not exist. [Fixed]
* "Ticket Orders" column in Dashboard > Users for Tickera Standalone.

= 3.5.6.1 12/10/2025 =
* Uncaught Error: Class "Tickera\stdClass" not found in class.virtualpage.php. [Fixed]

= 3.5.6.0 08/10/2025 =
* Removed the initial maximum value limit of 9999 from the Custom Form Number Field.
* "Show tickets automatically" and "Hide event after expiration" are being disabled when changing the event status via Tickera > Events > Active Column > Toggle switch.
* Tickera menu missing in staff role. [Fixed]
* Disable event duplicate action in staff role.
* Adjustment on the admin script to address undefined javascript functions due to caching mechanism.
* New "tc_admin_script_allowed_pages" filter hook. Argument: $pages array
* Backend keyboard navigation improvement. Tickera > Settings
* Backend keyboard navigation improvement. Tickera > Ticket Templates

= 3.5.5.9 29/08/2025 =
* Fixed missing cart quantity field 

= 3.5.5.8 25/08/2025 =
* Inclusion of trashed tickets in Tickera > Settings > Delete Info > Bulk Delete Tickets process.
* New "tc_after_bulk_delete_ticket_order" action hook. Argument: $order_id
* New "tc_round_cart_total_value" filter hook to allow developers to disable rounding up of cart total values.
* Namespacing refinements.
* Cleared PHP Deprecated Notice related to quantity selector.
* Translation strings for "Order Status" in Attendees & Tickets page.
* Additional updates for Woocommerce High-Performance Order Storage Integration.
* Additional security patch for Barcode Reader. Tickera > Barcode Reader.
* Stripe Payment Gateway "Invalid Integer" error. [Fixed]
* Adjustment on Tickera gutenberg blocks styles.
* Keyboard navigation improvements

= 3.5.5.7 23/06/2025 =
* Persistent error code when a ticket code contains a slash "/" during check-in. [Fixed]
* Cleared PHP Notice related to the _load_textdomain_just_in_time function.
* New "tc_ticket_order_history_list_by_user_email" filter hook to list "Users > Ticket Order History" by user's email address.

= 3.5.5.6 05/05/2025 =
* New "tc_client_order_completed_email_subject" filter hook. Arguments: $subject
* New "tc_attendee_order_completed_email_subject" filter hook. Arguments: $subject
* New "tc_admin_order_completed_email_subject" filter hook. Arguments: $subject
* New "tc_client_order_placed_email_subject" filter hook. Arguments: $subject
* New "tc_admin_order_placed_email_subject" filter hook. Arguments: $subject
* New "tc_admin_order_refunded_email_subject" filter hook. Arguments: $subject
* "Event - Add to Cart" gutenberg block's html element for "dropdown" type is being stripped. [Fixed]
* Remove Stripe Webhook registry if the option is disabled in Tickera > Settings > Payment Gateways > Stripe or Stripe 3D Secure.
* Ability to send order refunded email notification to Buyers.
* New ORDER_DETAILS, EVENT_NAME and EVENT_LOCATION placeholders for "Client Order Placed Email" Notification.
* New ORDER_DETAILS placeholder for "Admin Order Placed Email" Notification


= 3.5.5.5 23/04/2024 =
* New "tc_pdf_font_measure_divisor" filter hook. Allow developers to adjust the font space distance.
* Critical error on Tickera > Tickets Template when running Tickera free version alongside a paid add-on. [Fixed]
* Render the current checked-in date without converting to the local timezone.
* New "Display Format" option in Tickera > Ticket Templates > Event Date & Time element.

= 3.5.5.4 02/04/2025 =
* Updated Braintree Server and Client Side SDK.
* Unable to checkin per calendar basis due to timestamp discrepancy. [Fixed]
* Gutenberg "Event - Add to Cart" block's dropdown type elements are being removed. [Fixed]
* Terms and Conditions add-on: Tinymce unable to switch to "Text" editor.

= 3.5.5.3 12/03/2025 =
* Ticket template spacing issue on bold text. [Fixed]
* New "Enable line breaks" option in Ticket Template's Ticket Description Element.
* Disable default payment gateways when Tickera is running alongside Bridge for Woocommerce. 
* Duplicated Ticket Template fail to save existing elements. [Fixed]
* The PayU Latam payment method is unable to proceed to the payment form. [Fixed]
* Deprecated "tc_tickets_instances_init_table_by_order_statuses" filter hook.
* Missing age confirmation checkbox in checkout page. [Fixed]
* New discount scope option in Tickera > Discount Codes.
* Broken Access Control vulnerability via Event duplication. [Fixed]

= 3.5.5.2 XX/XX/XXXX =
* Updated "Offline Payment Gateway" > "Visible to admin only" option to "Visible to user roles".
* Discontinued "tc_change_user_role_offline_payment" filter hook.
* Freemius SDK updated to v2.11

= 3.5.5.1 15/01/2025 =
* Remove extra spaces below the event page title.
* Order statuses string translation. Tickera > Orders.
* Discount code validation in payment summary page. A final discount code validation right after the "continue checkout" button is clicked.
* Limit Tickera > Discount Codes > "Discount Available for" select options with published ticket types only.
* Additional security measures in Order details page (frontend).
* Additional error handler in TCPDF Library.
* Duplicated ticket template element values not rendered. [Fixed]
* Clear out PHP Deprecated: Creation of dynamic property notice at Dashboard widget "Ticketing store at a Glance".
* "Ticketing store at a Glance" number of tickets sold discrepancy. [Fixed]
* Additional security measures in Tickera > Barcode Reader
* Ticket checkin via Tickera > Barcode Reader can be processed by admin and associated APIs user only. No privilege access will be invalidated.
* Additional error handler in Authorize.net payment method.

= 3.5.5.0 10/12/2024 =
* Ability to enable/disable wpautop within Tickera Custom Post Types via "tc_the_content_wpautop" filter hook. Argument(s): $content

= 3.5.4.9 03/12/2024 =
* Additional security patch for Checkin API

= 3.5.4.8 18/11/2024 =
* Unable to save "Background Placement" option in Tickera > Ticket Templates.
* Unable to render "Google Map" Ticket Template Element. [Fixed]
* Set offline payments active as default.
* Load up localization file on init hook

= 3.5.4.7 06/11/2024 =
* Additional error handler for Stripe payment method.
* New "Background Placement" option in Tickera > Ticket Templates. The option allows to render background image either in first page or across all pdf pages.

= 3.5.4.6 31/10/2024 =
* Wordfence security patch
* Additional error handler for Stripe payment method.
* Selecting "Courier" font in Ticket Template is being overridden by "Al Arabiya". [Fixed]

= 3.5.4.5 28/10/2024=
* New "tickera_track_added_to_cart" hook. Arguments: $ticket_id, $quantity, $cart_content.
* Ticket type's "Limit check-ins on time basis" executes regardless the status of the option. The issue occurs when the option's limit field is set with a value (any value from 0). [Fixed]
* Ability to override order details page. Override the includes/templates/page-order.php onto the theme root directory.
* Updated Freemius to the latest SDK v2.9.0.
* Freemius SDK patched with PR:730. Patched Freemius SDK v2.9.0.1. Reference PR: https://github.com/Freemius/wordpress-sdk/pull/730/files
* Ability to insert custom order statuses via "tickera_order_statuses" filter hook. Argument: $order_statuses

= 3.5.4.4 18/10/2024 =
* Stripe connect add-on compatibility.
* Remove promotional notification once an affiliated theme is already active. Page: Themes page
* Ability to use other payment methods (e.g Klarna) within Stripe Checkout Session Form.
* Bridge for Woocommerce: Callback error on Network activated. [Fixed]
* Remove "Tickera" Shortcode Builder Button in Tickera > Event > "Event terms and conditions" metabox.

= 3.5.4.3 03/10/2024 =
* Uncaught Error: Class "Tickera\FS_Admin_Menu_Manager" not found. [Fixed]

= 3.5.4.2 01/10/2024 =
* Tickera > Ticket Type "Active" toggle not working. [Fixed]
* Stripe webhook fatal error. [Fixed]
* Clear out undefined function tc_wizard_get_start_screen_next_step() error appearing during installation wizard.
* Unable to render quantity selector in Event - Add to cart table. Issue occurs only when running Tickera alongside Bridge for Woocommerce. [Fixed]

= 3.5.4.1 16/09/2024 =
* Unable to complete checkout with Braintree payment method. [Fixed]
* Tickera > Events "Active" toggle not working. [Fixed]
* Custom Form Fields placeholder not properly rendered in cart/checkout pages.
* Tickera - Add to cart gutenberg block rendering issue. [Fixed]

= 3.5.4.0 13/09/2024 =
* Custom Form Fields placeholder not properly rendered in cart/checkout pages.

= 3.5.3.9 04/09/2024 =
* Critical error in the event page. [Fixed]

= 3.5.3.8 03/09/2024 =
* Implemented namespace across plugin classes.
* Additional sanitization and escaping across the plugin files.
* Wordpress version 6.5+ compliance.

= 3.5.3.7 29/08/2024 =
* Fatal error on an incomplete object __PHP_Incomplete_Class. [Fixed]

= 3.5.3.6 27/08/2024 =
* Translation for cart field's error messages
* Unable to send offline payment instruction email. [Fixed]
* Remove legacy functions.
* Wordpress version 6.5+ compliance.

= 3.5.3.5 15/08/2024 =
* Fatal error occurs whenever the "Enable Webhook" option is enabled in Stripe Elements 3D Secure
* Applied TC prefix across all constant variables.

= 3.5.3.4 14/08/2024 =
* Enforce ticket download without hash via "tickera_bypass_ticket_download_hash" filter hook
* Replaced tc.pot with tickera-event-ticketing-system.pot file.
* Set an earlier load priority for ticket template elements classes. These classes serves as a dependency of any sort of custom ticket template element add-ons.
* Additional "Disable Ticket Download Hash" option at Tickera > Settings > Miscellaneous.
* Wordpress version 6.5+ compliance.


= 3.5.3.3 01/08/2024 =
* Ticket template duplication: Unable to clone existing elements. The issue occurs only on cached websites. [Fixed]
* New "First name field require" and "Last name field required" options in Tickera > Settings > General.
* Apply background image across Ticket's PDF pages.
* New 'Enable Webhook' option in Standard Stripe Payment Gateway.
* Unable to limit check-ins on time basis whenever the date format is set with m/d/y. [Fixed]
* Styles adjustment in cart page.
* Divi > Theme Builder > Template and Tickera Shortcode Builder compatibility.
* Adjustment on search queries to address intermittent empty results.
* More string translation across the plugin files. Applied translator to those variable strings.
* Update Freemius SDK to 2.7.3
* Updated static functions with "tickera_" prefix. Applied legacy system to those deprecated functions.
* Wordpress version 6.5+ compliance. In progress...

= 3.5.3.1 24/07/2024 =
*WordPress 6.6.1 compatibility 

= 3.5.3.0 13/07/2024 =
*Bug fixes

= 3.5.2.9 12/06/2024 =
* Additional admin side security measures on bulk delete tickets. Only admin accounts can execute the function.

= 3.5.2.8 12/06/2024 =
* Set namespace for TCPDF library. Addresses plugins/themes conflict.
* Allow radio button to be assigned with empty default value in cart/checkout pages.
* Ability to require radio button in cart/checkout pages.
* Staff account is unable to view/download tickets. [Fixed]
* Number field handler in cart page.

= 3.5.2.7 27/05/2024 =
* Unable to search order number in Attendees & Tickets. [Fixed]
* Ability to disable extensive search functionality in Attendees & Tickets via "tc_tickets_instances_extensive_search" filter hook. Default: true
* Ability to override Ticket Checkin API via "tc_results_before_ticket_checkin" filter hook.
* Additional "Calendar day/24hrs basis" option for "Limit Check-ins on time basis". Tickera > Ticket Types
* Disable alphanumeric filtering in the client side cart page fields.
* Update Tickera Shortcode Builder and Beaver builder integration.
* "Attendee Order Completed Email" Notification: New DOWNLOAD_LINK that will render clickable "Download" link to download ticket.
* "Attendee Order Completed Email" Notification: Updated DOWNLOAD_URL to render raw url. It can be used as an href of an anchor tag. E.g <a href="DOWNLOAD_URL">Click here to download your ticket</a>
* Renamed "Terms & Conditions" ticket template element to "Event Terms & Conditions".
* Ability to insert static content onto the ticket template html via "tc_ticket_template_html" filter hook.
* Ticket Templates: Broken color picker styles. [Fixed]
* Additional "tc_additional_buyer_fields" and "tc_additional_owner_fields" shortcodes.
* Braintree 3D Secure 2 overflowed height. [Fixed]
* Stripe payment method compliance for the latest Stripe API Version.
* Additional security for Broken Access Control Vulnerability in Attendees & Tickets.
* Attendee & Tickets search functionality conflict with Elementor. [Fixed]
* Additional 'tc_attendee_order_completed_email_subject' filter hook. Default arguments: $subject, $ticket_id


----------------------------------------------------------------------
 - Plugin built from the ground up